> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/cn/proxies/dedicated-isp-proxies/enterprise/making-requests.md).

# 发起请求

了解独享ISP代理的认证方法，包括用户名/密码和 IP 白名单。配置端口和凭据，以实现无缝代理请求。

默认情况下，Oxylabs 代理和 Proxy Rotator 使用基本 [**HTTP 身份验证**](https://en.wikipedia.org/wiki/Basic_access_authentication) ，需要您提供用户名和密码。您可以通过联系您的专属客户经理，或联系我们的支持团队获取凭据： [**support@oxylabs.io**](mailto:support@oxylabs.io).

我们还支持基于已列入白名单的 IP 地址进行身份验证；请参阅 [**IP 白名单**](/products/cn/proxies/dedicated-isp-proxies/enterprise/restful.md)。根据您的身份验证方式，您可能需要更改代理端口。

| 代理端口    | 用法                                                                                                                                                  |
| ------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| `60000` | 当使用登录凭据（用户名和密码）时，代理需要此端口。它也用于 [**Proxy Rotator** ](/products/cn/proxies/dedicated-isp-proxies/enterprise/proxy-rotator-optional.md)同时使用登录凭据和白名单 IP。 |
| `65432` | 当通过白名单 IP 进行授权时，代理是必需的。                                                                                                                             |

#### 代码示例

如果您想通过用户名和密码认证方式使用独享ISP代理：

{% tabs %}
{% tab title="cURL" %}

```shell
curl -x 1.2.3.4:60000 -U user1:pass1 http://ip.oxylabs.io/location
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
    $username = 'user1';
    $password = 'pass1';
    $proxy = '1.2.3.4:60000';
    $query = curl_init('https://ip.oxylabs.io/location');
    curl_setopt($query, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($query, CURLOPT_PROXY, "http://$proxy");
    curl_setopt($query, CURLOPT_PROXYUSERPWD, "$username:$password");
    $output = curl_exec($query);
    curl_close($query);
    if ($output)
        echo $output;
?>
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

response = requests.get(
    'https://ip.oxylabs.io/location',
    proxies={'http': 'http://username:password@1.2.3.4:60000',
            'https': 'http://username:password@1.2.3.4:60000'}
)
print(response.text)
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net;

class Example
{
    static void Main()
    {
        var proxy = new WebProxy
        {
            Address = new Uri($"http://1.2.3.4:60000"),
            BypassProxyOnLocal = false,
            UseDefaultCredentials = false,
            Credentials = new NetworkCredential("username", "password")
        };

        var handler = new HttpClientHandler
        {
            Proxy = proxy,
        };

        HttpClient client = new HttpClient(handler);
        var task = Task.Run(async () =>
        {
            var response = await client.GetAsync("https://ip.oxylabs.io/location");
            var content = response.Content;
            var result = await content.ReadAsStringAsync();
            return result;
        });

        task.Wait();
        Console.WriteLine(task.Result);
    }
}
```

{% endtab %}
{% endtabs %}

如果你想通过白名单 IP 认证方式使用独享ISP代理：

{% tabs %}
{% tab title="cURL" %}

```shell
curl -x 1.2.3.4:65432 https://ip.oxylabs.io/location 
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
    $proxy = '1.2.3.4:65432';
    $query = curl_init('https://ip.oxylabs.io/location');
    curl_setopt($query, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($query, CURLOPT_PROXY, "http://$proxy");
    $output = curl_exec($query);
    curl_close($query);
    if ($output)
        echo $output;
?>
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

response = requests.get(
    'https://ip.oxylabs.io/location',
    代理={'http': 'http://1.2.3.4:65432',
            'https': 'http://1.2.3.4:65432'}
)
print(response.text)
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net;

class Example
{
    static void Main()
    {
        var proxy = new WebProxy
        {
            Address = new Uri($"http://1.2.3.4:65432",
            BypassProxyOnLocal = false,
            UseDefaultCredentials = false,
        };

        var handler = new HttpClientHandler
        {
            Proxy = proxy,
        };

        HttpClient client = new HttpClient(handler);
        var task = Task.Run(async () =>
        {
            var response = await client.GetAsync("https://ip.oxylabs.io/location");
            var content = response.Content;
            var result = await content.ReadAsStringAsync();
            return result;
        });

        task.Wait();
        Console.WriteLine(task.Result);
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.oxylabs.io/products/cn/proxies/dedicated-isp-proxies/enterprise/making-requests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
